extends ../includes/layout
block content

    .d-flex.align-items-center.mb-4
        h4.fs-20.font-w600.mb-0.me-auto Product
        div
            a(href=base_url+'admin/product/create').btn.btn-primary Add Product

    .row
        .col-xl-12
            .card
                .card-body
                    .row
                        .col-sm-12
                            h1 Dashboard
                            br
                            button#btn_login login
                            br
                            button#btn_check check
                            br
                            button#btn_logout logout
                        


block script
    script.
        $("#btn_logout").click(function () {
            localStorage.removeItem('access_token');
            localStorage.removeItem('expires_in');
        });

        $("#btn_check").click(function () {
            check_login();
        });

        $("#btn_login").click(function () {
            login();
        });

        function check_login(){
            const access_token = localStorage.getItem('access_token');
            const expires_in = localStorage.getItem('expires_in');

            console.log(access_token);
            console.log(expires_in);

            $.ajax({
                url: "users/check_login",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                    'Content-Type':'application/json'
                },
                method: 'POST',
                dataType: 'json',
                success: function (data, status, xhr) {
                    console.log(data);
                    console.log(status);
                    console.log(xhr.status);
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    console.log(xhr.status);
                    console.log(thrownError);
                },
            });
        }

        function login() {
            $.ajax({
                url: "users/login",
                method: "POST",
                dataType: "json",
                data: {
                    email: 'admin1@nbtc.com',
                    password: 'Myasd33D2',
                },
                success: function (data, status, xhr) {
                    localStorage.setItem("access_token", data.access_token);
                    localStorage.setItem("expires_in", data.expires_in);
                    console.log(data);
                    console.log(status);
                    console.log(xhr.status);
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    console.log(xhr.status);
                    console.log(thrownError);
                },
            });
        }
        